Instalación Facturación Electrónica

Módulos Necesarios

Compartir

Daniel Santibáñez Polanco

Hola!


Las dependencias para instalar Odoo se dividen en 2 Clases :Módulos de Odoo, librerías de python ; Hay que mensionar de Esto ha sido Probado solamente en Ubuntu/linux server 14.04 y Ubuntu/linux server 16.04, No hay soporte para Windows, a menos un usuario reporte el funcionamiento y procedimiento.

1. - Módulos de odoo:

     Estos pueden ser fácilmente obtenidos desde los github de odoo-chile o el mío (en el caso de odoo9)Deben ser ( * son obligatorios):

1.1.- l10n_cl_vat * <---  26-09-2016 --- obsoleto, no instalar

1.2.- l10n_cl_base_rut *

1.3.- base_state_ubication *

1.4.- l10n_cl_counties *

1.5.- l10n_cl_partner_activities *

1.6.- l10n_cl_invoice *

1.7.- user_signature_key *

1.8.- l10n_cl_dte_caf *

1.9.- webservices_generic* <---  19-02-2017 --- obsoleto, no instalar

1.10.- l10n_cl_dte *

1.11.- report_xlsx <-https://github.com/OCA/reporting-engine

1.12.- l10n_cl_libro_compra_venta *

1.13.- l10n_cl_stock_picking

1.14.- global_discount

En lo posible, deben ser instalados en el orden que aparecen aquí


2.- Dependencias en python (usar PIP):

2.1.- xmltodict

2.2.- dicttoxml ( si no les toma, fuercen la versión ==1.7.4)

2.3.- elaphe  <------21-04-2017 deprecated

2.3.- pdf417gen

2.4.-M2Crypto (si no les toma , fuercen la versión ==0.24.0)

2.5.- base64

2.6.- hashlib

2.7.- cchardet

2.8.- suds

2.9.- urllib3

2.10.-SOAPpy

2.11.- signxml ( si no les toma fuercen la versión ==1.0.1)

2.12.- textwrap

2.13.- cStringIO

2.14.- pysftp

2.15.- urllib3==1.7.1

2.16.- requests==2.6.0

2.17.- xlsxwriter(opcional, obligatorio para libros de CV)


Todos ellos instalar con pip desde la terminal, deben instalar y luego reiniciar el servicio de odoo para que lo vaya tomando, hay algunas dependencias que a veces necesitan de algún paquete de ubuntu.

sudo apt-get install swig python-dev python-cffi libxml2-dev libxslt1-dev libssl-dev python-lxml python-cryptography python-openssl python-certifi python-defusedxml


Para el pdf, en el caso de que les salga el error de wkhtmlpdf no se encuentra, descargar e instalar

wget http://download.gna.org/wkhtmltopdf/0.12/0.12.1/wkhtmltox-0.12.1_linux-trusty-amd64.deb

sudo dpkg -i wkhtmltox-0.12.1_linux-trusty-amd64.deb


y reiniciar odoo, para estra seguros hagan logout del sitio y cierren el navegador y luego reinicien.



Saludos





Escriba un comentario

Usted debe ser registrado escribir un comentario.

  • Daniel Santibáñez Polanco en 29/09/2017 16:57:30

    Hola! por favor consultas así hacerlas por el foro, para que no se desordene, puede haber una incompatibilidad por la versión del SO

  • Marco Nuñez en 28/09/2017 13:56:52

    Hola Daniel, una consulta, hasta llevar esta instalación a Docker? yo estoy tratando de hacerlo en este momento utilizando la imagen oficial de Odoo 9 como base pero me sale un error al momento de instalar el paquete Python-certifi diciendo que no puede ser localizado. no se si te se ocurre algo para que podamos hacer una imagen con todas las dependencias y un Docker-compose para levantar un ambiente en pocos pasos.